Package net.shibboleth.shared.spring.custom

# Class AbstractCustomBeanDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class AbstractCustomBeanDefinitionParser extends AbstractSingleBeanDefinitionParser
This is the base parser for all our custom syntax. It is a trivial extension of `AbstractCustomBeanDefinitionParser`, but allows for a single point of change to our behaviors.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CUSTOM_PARSER_PROPERTIES_LOCATION`
Location to look for `Properties` that may affect custom parsing.
`private static Properties`
`customProperties`
Property bad for custom parser properties to expose to subclasses.
`private static final org.slf4j.Logger`
`LOG`
Logger.

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractCustomBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getCustomProperty(String name, String defaultValue)`
Get a custom parser property, or return the default value specified.
`protected void`
`registerBeanDefinition(BeanDefinitionHolder definition, BeanDefinitionRegistry registry)`
The override is to warn if there is an ID clash within the same context.

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CUSTOM_PARSER_PROPERTIES_LOCATION

@Nonnull @NotEmpty public static final String CUSTOM_PARSER_PROPERTIES_LOCATION
Location to look for `Properties` that may affect custom parsing.

See Also:
  - Constant Field Values

### customProperties

@Nullable private static Properties customProperties
Property bad for custom parser properties to expose to subclasses.

### LOG

@Nonnull private static final org.slf4j.Logger LOG
Logger.

## Constructor Details

### AbstractCustomBeanDefinitionParser

public AbstractCustomBeanDefinitionParser()

## Method Details

### registerBeanDefinition

protected void registerBeanDefinition(@Nonnull BeanDefinitionHolder definition, @Nonnull BeanDefinitionRegistry registry)
The override is to warn if there is an ID clash within the same context.

Overrides:
  `registerBeanDefinition` in class `AbstractBeanDefinitionParser`

### getCustomProperty

@Nullable public static String getCustomProperty(@Nonnull String name, @Nullable String defaultValue)
Get a custom parser property, or return the default value specified.

Parameters:
  `name` - property name
  `defaultValue` - default value
Returns:
  the property value or the default if not set
Since:
  9.0.0